Detach an observer

- « SplSubject::attach

- SplSubject::notify »

- PHP Manual
- SplSubject
- Detach an observer

# SplSubject::detach

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

SplSubject::detach — Detach an observer

### Description

public SplSubject::detach(SplObserver `$observer`): void

Detaches an observer from the subject to no longer notify it of updates.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`observer`

  The SplObserver to detach.

### Return Values

No value is returned.